%define major 8
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary:	Library for accessing SmartCard devices
Name:		opensc
Version:	0.22.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Kernel and hardware
URL:		http://www.opensc.org/
Source:		http://www.opensc-project.org/files/opensc/%{name}-%{version}.tar.xz
Source1:	oberthur.profile
Patch5:		%{name}-gcc11.patch
Patch6:		%{name}-32b-arch.patch
Patch7:		%{name}-0.22.0-realloc-pointer.patch
Patch8:		%{name}-0.22.0-init-var.patch
BuildRequires:	flex
BuildRequires:	openssl-devel
BuildRequires:	libltdl-devel
BuildRequires:	readline-devel
BuildRequires:	zlib-devel
BuildRequires:	pcsc-lite-devel
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
Requires:	%{_lib}pcsclite1
Conflicts:	%{libname} < 0.12.0-4

%description
%{name} is a library for accessing smart card devices using PC/SC Lite
middleware package. It is also the core library of the OpenSC project.
Basic functionality (e.g. SELECT FILE, READ BINARY) should work on any
ISO 7816-4 compatible smart card. Encryption and decryption using private
keys on the SmartCard is at the moment possible only with PKCS #15
compatible cards.

%package -n	%{libname}
Summary:	Library for accessing SmartCard devices
Group:		System/Libraries
Obsoletes:	%{_lib}opensc2 < 0.12.0
Obsoletes:	mozilla-plugin-%{name} < 0.12.0


%description -n	%{libname}
%{name} is a library for accessing smart card devices using PC/SC Lite
middleware package. It is also the core library of the OpenSC project.
Basic functionality (e.g. SELECT FILE, READ BINARY) should work on any
ISO 7816-4 compatible smart card. Encryption and decryption using private
keys on the SmartCard is at the moment possible only with PKCS #15
compatible cards.

%package -n	%{develname}
Summary:	Development related files for %{name}
Group:		Development/Libraries
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Conflicts:	%{mklibname opensc 0 -d}
Obsoletes:	%{mklibname opensc 2 -d} < 0.11.3

%description -n	%{develname}
%{name} is a library for accessing smart card devices using PC/SC Lite
middleware package. It is also the core library of the OpenSC project.
Basic functionality (e.g. SELECT FILE, READ BINARY) should work on any
ISO 7816-4 compatible smart card. Encryption and decryption using private
keys on the SmartCard is at the moment possible only with PKCS #15
compatible cards.

This package contains all necessary files to develop or compile any
applications or libraries that use %{name}. 

%prep
%setup -q
%apply_patches

install -m 0644 %{_sourcedir}/oberthur.profile oberthur-alternate.profile

%build
CFLAGS="%{optflags} -Wno-deprecated-declarations"

autoreconf --install
%configure2_5x --disable-static --disable-autostart-items --docdir=$BUILDROOT/%{_datadir}/doc/opensc
%make

%install
rm -rf %{buildroot}

%makeinstall_std

# install conf file
mkdir -p %{buildroot}%{_sysconfdir}
install -m 0644 etc/opensc.conf %{buildroot}%{_sysconfdir}

#don't ship .la
find %{buildroot} -name "*.la" | xargs rm -f

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc oberthur-alternate.profile
%doc %{_docdir}/opensc/opensc.conf
%config(noreplace) %{_sysconfdir}/opensc.conf
%{_datadir}/bash-completion/completions/*
%{_bindir}/cardos-tool
%{_bindir}/cryptoflex-tool
%{_bindir}/dnie-tool
%{_bindir}/eidenv
%{_bindir}/egk-tool
%{_bindir}/gids-tool
%{_bindir}/goid-tool
%{_bindir}/iasecc-tool
%{_bindir}/piv-tool
%{_bindir}/netkey-tool
%{_bindir}/npa-tool
%{_bindir}/openpgp-tool
%{_bindir}/opensc-asn1
%{_bindir}/opensc-explorer
%{_bindir}/opensc-notify
%{_bindir}/opensc-tool
%{_bindir}/pkcs11-register
%{_bindir}/pkcs11-tool
%{_bindir}/pkcs15-crypt
%{_bindir}/pkcs15-init
%{_bindir}/pkcs15-tool
%{_bindir}/sc-hsm-tool
%{_datadir}/%{name}
%{_datadir}/applications/org.opensc.notify.desktop
%{_libdir}/pkcs11-spy.*
%{_libdir}/onepin-opensc-pkcs11.so
%{_libdir}/opensc-pkcs11.so
%{_libdir}/pkcs11/*.so
%{_mandir}/man1/*
%{_mandir}/man5/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libopensc.so.%{major}*
%{_libdir}/libsmm-local.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_bindir}/westcos-tool
%{_libdir}/libopensc.so
%{_libdir}/libsmm-local.so
%{_libdir}/pkgconfig/opensc-pkcs11.pc

%changelog
* Fri Jun 17 2022 tex - 0.22.0-1pclos2022
- new version

* Sun May 24 2020 ghostbunny <ghostbunny at gmx dot de> 0.20.0-1pclos2020
- 0.20.0

* Thu Mar 29 2018 ghostbunny <ghostbunny at gmx dot de> 0.17.0-1pclos2018
- 0.17.0

* Fri Oct 07 2011 Texstar <texstar at gmail.com> 0.12.2-1pclos2011
- 0.12.2
